#!/bin/sh

####################################################################################################
# Uninstallation script for FireScope Agent
####################################################################################################

####################################################################################################
# Variables
####################################################################################################
FSMUSER="FSMUSER"
FSMGROUP="FSMUSER"
FSUSER="firescop"
FSGROUP="firescop"
INSTALLDIR=INSTALLDIR
INIT=INIT

####################################################################################################
# Stop all FireScope processes
####################################################################################################
service firescope_agentd stop
service firescope_agent_managerd stop
#kill -9 `pidof firescope_agentd`
#kill -9 `pidof firescope_agent_managerd`


####################################################################################################
# Remove fsuser from operating system
####################################################################################################
userdel $FSUSER 2>/dev/null
groupdel $FSGROUP 2>/dev/null
userdel $FSMUSER 2>/dev/null
groupdel $FSMGROUP 2>/dev/null

####################################################################################################
# Remove FireScope files and folders
####################################################################################################

chkconfig --del firescope_agentd
chkconfig --del firescope_agent_managerd
rm -rf $INIT/firescope_agentd
rm -rf $INIT/firescope_agent_managerd
rm -rf $INSTALLDIR/agent
rm -rf $INSTALLDIR/agent_manager

# If there are no more files or directories in the firescope directory, then remove it, else leave it
ISEMPTY="0"
shopt -s nullglob dotglob
files=(*)
(( ${#files[*]} )) || ISEMPTY="1"
shopt -u nullglob dotglob

if [ "$ISEMPTY" == "1" ]; then
	rm -rf $INSTALLDIR
	echo "FireScope Agent has been removed."
else
	echo "FireScope Agent has been removed, however other files remain in $INSTALLDIR."
fi

####################################################################################################
# DONE
####################################################################################################
